Kategorien: Joomla Core

Verwirrliche PHP 7.0 Warnmeldung

Teilen

Seit dem letzten Joomla! 3.8.12 Update lächelt bei allen PHP-7.0 Nutzern eine Warnmeldung entgegen.

Dabei wird darauf hingewiesen, dass per 3. September 2018 der Support für diese PHP Version endet.

Doch da hat sich ein kleiner Fehler eingeschlichen. Richtig ist, dass die Version ziemlich bald abläuft. Aber nicht schon im September, sondern im Dezember.

PHP 7.0x Warnmeldung

Doch dieser kleine Lapsus hat auch was Gutes. Es zeigt den aktuellen Joomla!-Nutzern, dass schon bald Schluss ist, mit der PHP 7.0x Version. So hat man Zeit seinen Hoster darauf hinzuweisen, dass er mit dem Update seiner Infrastruktur vorwärts machen soll.

Auf der Projekt-Seite von PHP sieht man die verschiedenen Versionen und ihre “Lebensdauer”. Daraus ist erkennbar, dass die 7.0-er Version noch bis Ende Jahr unterstützt wird.

Der Fehler ist bereits gemeldet und sollte spätestens mit dem Joomla! 3.9 Release (falls dieser der nächste Release sein wird) oder in der Joomla! 3.8.13 enthalten sein.

Solltest du diesen Hinweis bei dir sehen, und kannst/willst momentan nicht auf die PHP Version 7.1. wechseln, wäre das ein guter Moment, deine Joomla! Installation auf seine PHP 7.1 Tauglichkeit zu testen.

Sollte es dabei Fehler oder “weisse Seiten” geben, dann deaktiviere alle 3pd-Erweiterungen und schalte sie nach und nach wieder auf, bis der “Schuldige” gefunden ist. Denn grundsätzlich ist Joomla! selber mit PHP 7.1. ohne Probleme lauffähig.

In der Konfiguration kannst du das Fehler-Reporting auf “Maximum” stellen. Dieser gibt dir gerade bei weissen Seiten nützliche Hinweise, welches Plugin oder Komponente die korrekte Anzeige deiner Joomla!-Seite verhindert.

Dazu findest du ein hilfreiches Video im Lese-Abo Bereich (nur im angemeldeten Zustand sichtbar).

Roger Perren

Letzte Beiträge

Für wen ist Joomla! 4 gut?

Mit Joomla! 3 kamen immer mehr neue Funktionen rein. Mit Joomla! 4 sollte alles besser werden. Ist dem so? Und… Weiterlesen

vor 3 Tagen

Joomla! 3.9.11 Update erschienen!

Das Joomla! 3.9.11 Update behebt eine kleinere Sicherheits-Lücke sowie 29 gemeldete Probleme, die in diesem Release behoben wurden. Weiterlesen

vor 1 Woche

Bekommt Joomla 4 ein Pagebuilder?

Beim diesjährigen GSoC entwickelt man für Joomla! 4 ein flexibles Frontend Template Grid, dass man sich im Backend als Pagebuilder… Weiterlesen

vor 3 Wochen

Joomla! 3.9.10 Update erschienen!

Das Joomla! 3.9.10 Update behebt ein kleines Problem, dass bei der Zuordnung eines spezifischen Templates bei mehrsprachigen Sites entstanden ist. Weiterlesen

vor 1 Monat

Joomla! 3.9.9 Update erschienen!

Das Joomla! 3.9.9 Update behebt eine kleinere Sicherheits-Lücke sowie 32 gemeldete Probleme, die in diesem Release behoben wurden. Weiterlesen

vor 1 Monat

Deine Joomla!-Site auf Diät setzen!

In all den Jahren sammelten sich viele Funktionen in Joomla! an, die man eigentlich gar nicht braucht. Diese Methode hilft… Weiterlesen

vor 2 Monaten